	int foo(){
	return 5;
}

void main(){
	int x;

	x = foo();
	x = foo();

	if (x==x) foo();
	foo();
//	while (foo() == 5)    // not allowed
	while (x == 5){
		x = x;
	}
	if (x==x) if(x==x) return;


}

